<template>
  <div class="clients">
    <h1>Our Clients</h1>
    <div>
      <VueSlickCarousel v-bind="settings">
        <div class="client-wrapper">
          <img src="../assets/dell.jpg" alt="dell" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/janssen.jpg" alt="janssen" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/symantec.jpg" alt="symantec" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/hk-university.jpg" alt="hk-university" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/ka.jpg" alt="ka" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/smart-tone.jpg" alt="smart-tone" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/dell.jpg" alt="dell" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/symantec.jpg" alt="symantec" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/hk-university.jpg" alt="hk-university" />
        </div>
        <div class="client-wrapper">
          <img src="../assets/ka.jpg" alt="ka" />
        </div>
      </VueSlickCarousel>
    </div>
  </div>
</template>
<script>
import VueSlickCarousel from "vue-slick-carousel";
import "vue-slick-carousel/dist/vue-slick-carousel.css";
import "vue-slick-carousel/dist/vue-slick-carousel-theme.css";

export default {
  name: "MyComponent",
  components: { VueSlickCarousel },
  data() {
    return {
      settings: {
        dots: false,
        arrow: true,
        speed: 500,
        slidesToShow: 5,
        slidesToScroll: 1,
        infinite: true
      }
    };
  }
};
</script>
<style scoped>
.clients {
  background: #fafafa;
  padding: 110px 0;
  overflow: hidden;
}
.clients h1 {
  font-weight: 900;
  font-size: 20px;
  line-height: 29px;
  background: linear-gradient(95.72deg, #5fc653 0%, #a2d631 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  margin: 0 0 40px 0;
  text-align: center;
  box-sizing: border-box;
}
.clients .client-wrapper {
  background: #ffffff;
  box-shadow: 0px 20px 60px rgba(0, 0, 0, 0.08);
  border-radius: 20px;
  direction: flex;
  justify-content: center;
  align-items: center;
  width: 200px !important;
  height: 150px;
  padding: 20px;
  box-sizing: border-box;
  margin: 0 15px;
}
.clients .client-wrapper img {
  width: 100%;
  object-fit: contain;
  height: 100%;
}
.clients .slick-slider {
  margin: 0 5% 0 10%;
}
.clients button.slick-prev {
  left: -100px;
}
.clients .slick-arrow {
  height: 60px;
  width: 60px;
}
</style>
